DataRange.Paging (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db

## Class DataRange.Paging

- java.lang.Object
- - org.apache.cassandra.db.DataRange
  - - org.apache.cassandra.db.DataRange.Paging

- Enclosing class:
    DataRange

      public static class DataRange.Paging
      extends DataRange

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.DataRange

      `DataRange.Paging`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.db.DataRange

      `columnFilter, selectFullRow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataRange.Paging(AbstractBounds<RowPosition> range, SliceQueryFilter filter, Composite columnStart, Composite columnFinish, CellNameType comparator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDiskAtomFilter` | `columnFilter(java.nio.ByteBuffer rowKey)`
    `boolean` | `selectsFullRowFor(java.nio.ByteBuffer rowKey)`
    `void` | `updateColumnsLimit(int count)`

    - ### Methods inherited from class org.apache.cassandra.db.DataRange

      `allData, contains, forKeyRange, getLiveCount, isFullRowSlice, isWrapAround, keyRange, startKey, stopKey`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataRange.Paging

          public DataRange.Paging(AbstractBounds<RowPosition> range,
                          SliceQueryFilter filter,
                          Composite columnStart,
                          Composite columnFinish,
                          CellNameType comparator)

  - ### Method Detail

    - #### selectsFullRowFor

          public boolean selectsFullRowFor(java.nio.ByteBuffer rowKey)

      Overrides:
        `selectsFullRowFor` in class `DataRange`

    - #### columnFilter

          public IDiskAtomFilter columnFilter(java.nio.ByteBuffer rowKey)

      Overrides:
        `columnFilter` in class `DataRange`

    - #### updateColumnsLimit

          public void updateColumnsLimit(int count)

      Overrides:
        `updateColumnsLimit` in class `DataRange`

Copyright © 2014 The Apache Software Foundation